procedure TControlForm.BExportG2DClick(Sender: TObject);
var t:system.text; i,Index:integer;
begin
  if not DSaveG2D.Execute then exit;
  AssignFile(t,DSaveG2D.FileName);
  {$I-} Rewrite(t); {$I+}
  if IOresult<>0 then begin
    MessageDlg('Kann Ausgabeatei '+DSaveG2D.FileName+' nicht ffnen!',mtError,[mbOK],0);
    exit;
  end;
  PSUIForm.ExportValues;

  writeln(t,'[Graph2D]');
  writeln(t,'FormatVersion=1');
  writeln(t,'GraphWindowWidth=',GraphForm.ClientWidth);
  writeln(t,'GraphWindowHeight=',GraphForm.ClientHeight);
  writeln(t);
  writeln(t,'[Display]');
  writeln(t,'DrawAxes=',byte(DrawAxes));
  writeln(t,'DrawGrid=',byte(DrawGrid));
  writeln(t,'DrawScale=',byte(DrawScale));
  writeln(t,'AxeColor=',EncodeColor(AxeColor));
  writeln(t,'GridColor=',EncodeColor(GridColor));
  writeln(t,'ForegroundScale=',byte(ForegroundScale));
  writeln(t);
  writeln(t,'[ViewRange]');
  writeln(t,'CenterX=',FloatToStr(CenterX));
  writeln(t,'CenterY=',FloatToStr(CenterY));
  writeln(t,'ScaleX=',FloatToStr(ScaleX));
  writeln(t,'ScaleY=',FloatToStr(ScaleY));
  writeln(t,'StepX=',FloatToStr(StepX));
  writeln(t,'StepY=',FloatToStr(StepY));
  writeln(t,'AutoGrid=',byte(AutoGrid));
  writeln(t,'ParamStart=',FloatToStr(ParamStart));
  writeln(t,'ParamEnd=',FloatToStr(ParamEnd));
  writeln(t,'ParamStep=',FloatToStr(ParamStep));
  writeln(t);
  writeln(t,'[PostScript]');
  writeln(t,'DrawClipBox=',byte(DrawClipBox));
  writeln(t,'FunctionLineWidth=',FloatToStr(FunctionLineWidth));
  writeln(t,'ClipBoxLineWidth=',FloatToStr(ClipBoxLineWidth));
  writeln(t,'AxeLineWidth=',FloatToStr(AxeLineWidth));
  writeln(t,'GridLineWidth=',FloatToStr(GridLineWidth));
  writeln(t,'TickLineWidth=',FloatToStr(TickLineWidth));
  writeln(t,'NumberFontSize=',FloatToStr(NumberFontSize));
  writeln(t,'PageSizeX=',PageSizeX);
  writeln(t,'PageSizeY=',PageSizeY);
  writeln(t,'PageMargin=',PageMargin);
  writeln(t,'Unit=',UnitName);

  for i:=0 to (FunctionsBox.Items.Count-1) do begin
    Index:=StrToInt(FunctionsBox.Items[i]);
    with Functions[Index] do begin
      writeln(t);
      writeln(t,'[Function',i+1,']');
      if ActiveFunction=Index then writeln(t,'ActiveFunction=1');
      writeln(t,'Active=',byte(Active));
      writeln(t,'Parametric=',byte(Parametric));
      if not Parametric then
        writeln(t,'Expression=',Expression)
      else begin
        writeln(t,'ExpressionX=',Expression);
        writeln(t,'ExpressionY=',Expression2);
      end;
      writeln(t,'Multi=',byte(Multi));
      writeln(t,'MultiStart=',FloatToStr(MultiStart));
      writeln(t,'MultiEnd=',FloatToStr(MultiEnd));
      writeln(t,'MultiStep=',FloatToStr(MultiStep));
      writeln(t,'Color=',EncodeColor(Color));
      writeln(t,'Gradient=',byte(Gradient));
      writeln(t,'Color2=',EncodeColor(Color2));
      writeln(t,'Derive=',byte(Derive));
    end;
  end;

  CloseFile(t);
end;

